MongoLog::getCallback
MongoLog::getModule
MongoLog
PHP Manual

# MongoLog::getLevel

Gets the log level

### Description

public static int MongoLog::getLevel ( void )

This can be used to see the log level. Use the constants described in the MongoLog section with bitwise operators to check the level.

`<?php
if (MongoLog::getLevel() & MongoLog::FINE) {
echo "lots 'o logs\n";
}
if (MongoLog::getLevel() ^ MongoLog::NONE) {
echo "logging, at least a little\n";
}
if (MongoLog::getLevel() == MongoLog::ALL) {
echo "logging at the highest levels\n";
}
?>`

### Parameters

This function has no parameters.

### Return Values

Returns the current level.